Compound Member Index

Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Colorer-take5 Library Data Fields

a | b | c | d | e | f | g | h | i | j | k | l | m | n | o | p | r | s | t | u | v | w | ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- addBitArray() : BitArray
- addElement() : Vector< T >
- addLineRegion() : LineRegionsSupport, LineRegionsCompactSupport
- addRange() : BitArray
- addref() : SharedInputSource
- addRegion() : RegionHandler
- addRegionHandler() : BaseEditor
- append() : StringBuffer
- assignParent() : TextRegion, StyledRegion, RegionDefine

### - b -

- back : StyledRegion
- BaseEditor() : BaseEditor
- bback : StyledRegion
- bfore : StyledRegion
- BitArray() : BitArray
- breakParse() : TextParser

### - c -

- cast() : TextRegion, StyledRegion
- child() : CXmlEl
- chooseFileType() : FarEditor, HRCParser, BaseEditor
- clear() : Vector< T >, HashtableCore< T >, LineRegionsSupport
- clearBit() : BitArray
- clearBitArray() : BitArray
- clearCache() : TextParser
- clearLine() : RegionHandler
- clearRange() : BitArray
- clone() : RegionDefine
- closeStream() : InputSource
- compareTo() : String
- compareToIgnoreCase() : String
- configure() : FarEditorSet
- createCharClass() : CharacterClass
- createNew() : CXmlEl
- createRelative() : InputSource
- createStyledMapper() : ParserFactory
- createTextMapper() : ParserFactory
- createTextParser() : ParserFactory
- CRegExp() : CRegExp

### - d -

- def_PairEnd : BaseEditor
- def_PairStart : BaseEditor
- def_Special : BaseEditor
- def_Syntax : BaseEditor
- def_Text : BaseEditor
- delref() : SharedInputSource
- description : Region
- destroyLevel() : CXmlEl
- DString() : DString

### - e -

- eback : TextRegion
- editorEvent() : FarEditorSet, FarEditor
- editorInput() : FarEditorSet, FarEditor
- elementAt() : Vector< T >
- eline : PairMatch
- end : LineRegion, PairMatch
- endJob() : LineSource
- endParsing() : RegionHandler
- ensureCapacity() : Vector< T >
- enterScheme() : RegionHandler
- enumChildred() : CXmlEl
- enumerate() : HashtableWOnulls< T >, Hashtable< T >
- enumerateFileTypes() : HRCParser
- enumerateHRDClasses() : ParserFactory
- enumerateHRDInstances() : ParserFactory
- enumerateKey() : HashtableCore< T >
- enumerateRegionDefines() : RegionMapperImpl
- equals() : String
- equalsIgnoreCase() : String
- error() : ErrorHandler
- ErrorHandlerWriter() : ErrorHandlerWriter
- etext : TextRegion
- Exception() : Exception

### - f -

- FarEditor() : FarEditor
- FarEditorSet() : FarEditorSet
- fatalError() : ErrorHandler
- fFirst() : CXmlEl
- FileErrorHandler() : FileErrorHandler
- FileTypeChooser() : FileTypeChooser
- FileWriter() : FileWriter
- fLast() : CXmlEl
- fNext() : CXmlEl
- fore : StyledRegion
- forward() : ConsoleTools
- fPrev() : CXmlEl
- freeFile() : TextLinesStore

### - g -

- genOutput() : ConsoleTools
- getAbsolutePath() : InputSource
- getBaseScheme() : FileType
- getBit() : BitArray
- getBracketName() : CRegExp
- getBracketNo() : CRegExp
- getBytes() : String
- getChars() : String
- getContent() : CXmlEl
- getCurlyContent() : UnicodeTools
- getDescription() : Region, FileType
- getEncodingBOM() : Encodings
- getEncodingBOMSize() : Encodings
- getEnwrappedPairMatch() : BaseEditor
- getError() : CRegExp
- getErrorHandler() : ParserFactory
- getEscapedChar() : UnicodeTools
- getFileName() : TextLinesStore
- getFileType() : FarEditor, Scheme, HRCParser, BaseEditor
- getGroup() : FileType
- getHRCParser() : ParserFactory
- getHRDescription() : ParserFactory
- getID() : Region
- getItem() : Outliner
- getLine() : LineSource
- getLineCount() : TextLinesStore
- getLineRegions() : LineRegionsSupport, BaseEditor
- getLocation() : InputSource
- getMessage() : Exception
- getName() : CXmlEl, Scheme, Region, FileType
- getNCRegion() : HRCParserImpl
- getNumber() : UnicodeTools
- getPairMatch() : BaseEditor
- getParamCount() : CXmlEl
- getParameter() : FileType
- getParamName() : CXmlEl
- getParamValue() : CXmlEl
- getParent() : Region
- getPrior() : FileTypeChooser
- getPriority() : FileTypeImpl
- getRE() : FileTypeChooser
- getRegion() : HRCParser
- getRegionCount() : HRCParser
- getRegionDefine() : RegionMapperImpl, RegionMapper
- getStream() : SharedInputSource
- getType() : CXmlEl
- getVersion() : HRCParser
- getWChars() : String

### - h -

- hashCode() : String
- HashtableCore() : HashtableCore< T >
- hasParent() : Region
- htmlRGBWrite() : ParsedLineWriter
- HTTPInputSource() : HTTPInputSource

### - i -

- idleJob() : BaseEditor
- indexOf() : String, Vector< T >
- indexOfIgnoreCase() : String
- init() : CXmlEl
- insertElementAt() : Vector< T >
- intersectBitArray() : BitArray
- isFileContent() : FileTypeChooser
- isFileName() : FileTypeChooser
- isOk() : CRegExp
- isRelative() : InputSource
- itemCount() : Outliner

### - j -

- JARInputSource() : JARInputSource

### - k -

- key() : HashtableCore< T >

### - l -

- lastElement() : Vector< T >
- lastIndexOf() : String
- leaveScheme() : RegionHandler
- length() : String, InputSource
- level : OutlineItem
- lineCountEvent() : BaseEditor
- LineRegion::LineRegion() : LineRegion
- listErrors() : FarEditor
- listFunctions() : FarEditor
- listTypes() : ConsoleTools
- lno : OutlineItem
- loadBroken : FileTypeImpl
- loadDone : FileTypeImpl
- loadFile() : TextLinesStore
- loadRegionMappings() : TextHRDMapper, StyledHRDMapper, RegionMapperImpl
- loadSource() : HRCParser

### - m -

- manageTree() : Outliner
- markupWrite() : ParsedLineWriter
- matchPair() : FarEditor
- message : Exception
- modifyEvent() : BaseEditor
- modifyLineEvent() : BaseEditor

### - n -

- name : Region
- newInstance() : InputSource
- next : CXmlEl, HashtableWOnulls< T >, Hashtable< T >, LineRegion
- nextkey() : HashtableCore< T >

### - o -

- openMenu() : FarEditorSet
- openStream() : InputSource
- operator!=() : String
- operator+() : StringBuffer
- operator+=() : StringBuffer
- operator<() : String
- operator=() : DString, RegionDefine, LineRegion
- operator==() : String
- operator>() : String
- operator[]() : EntityString
- OutlineItem() : OutlineItem
- Outliner() : Outliner

### - p -

- pairBalance : PairMatch
- PairMatch::PairMatch() : PairMatch
- parent() : CXmlEl
- parse() : CXmlEl, TextParser
- ParserFactory() : ParserFactory
- pos : OutlineItem
- prev : CXmlEl, LineRegion
- protoLoaded : FileTypeImpl
- put() : HashtableCore< T >

### - r -

- rd_def_HorzCross : BaseEditor
- rd_def_Text : BaseEditor
- rd_def_VertCross : BaseEditor
- rdef : LineRegion
- region : LineRegion, OutlineItem
- Region() : Region
- releasePairMatch() : BaseEditor
- remove() : HashtableCore< T >
- removeElement() : Vector< T >
- removeElementAt() : Vector< T >
- removeRegionHandler() : BaseEditor
- replace() : String
- resize() : LineRegionsSupport
- RETest() : ConsoleTools

### - s -

- saveRegionMappings() : TextHRDMapper, StyledHRDMapper, RegionMapperImpl
- sback : TextRegion
- scheme : LineRegion
- SchemeNode() : SchemeNode
- search() : CXmlEl
- searchGlobalPair() : BaseEditor
- searchLocalPair() : BaseEditor
- selectBlock() : FarEditor
- selectEncoding() : FarEditor
- selectPair() : FarEditor
- selectRegion() : FarEditor
- setBackground() : LineRegionsSupport
- setBackParse() : BaseEditor
- setBit() : BitArray
- setBomOutput() : ConsoleTools
- setCatalogPath() : ConsoleTools
- setCopyrightHeader() : ConsoleTools
- setElementAt() : Vector< T >
- setErrorHandler() : HRCParser
- setFileType() : FarEditor, TextParser, BaseEditor
- setFirstLine() : LineRegionsSupport
- setHRDName() : ConsoleTools
- setHtmlEscaping() : ConsoleTools
- setHtmlWrapping() : ConsoleTools
- setInputEncoding() : ConsoleTools
- setInputFileName() : ConsoleTools
- setLineSource() : TextParser
- setLinkSource() : ConsoleTools
- setOutputEncoding() : ConsoleTools
- setOutputFileName() : ConsoleTools
- setPositionMoves() : CRegExp
- setRE() : CRegExp
- setRegionCompact() : BaseEditor
- setRegionDefine() : TextHRDMapper, StyledHRDMapper, RegionMapperImpl
- setRegionHandler() : TextParser
- setRegionMapper() : FarEditor, LineRegionsSupport, BaseEditor
- setSize() : Vector< T >
- setSpecialRegion() : LineRegionsSupport
- setTypeDescription() : ConsoleTools
- setValues() : TextRegion, RegionDefine
- size() : Vector< T >, HashtableCore< T >
- sizeofTables() : Character
- sline : PairMatch
- special : LineRegion
- SString() : SString
- start : LineRegion, PairMatch
- startJob() : LineSource
- startParsing() : RegionHandler, LineRegionsSupport
- startsWith() : String
- stext : TextRegion
- StreamWriter() : StreamWriter
- StringBuffer() : StringBuffer
- style : StyledRegion
- styled() : LineRegion
- StyledRegion() : StyledRegion
- substring() : DString
- swapWith() : KeywordInfo

### - t -

- texted() : LineRegion
- TextLinesStore() : TextLinesStore
- TextRegion() : TextRegion
- token : OutlineItem
- tokenWrite() : ParsedLineWriter
- topPosition : PairMatch
- typeLoaded : FileTypeImpl

### - u -

- updateHighlighting() : FarEditor
- updateLinks() : HRCParserImpl

### - v -

- validate() : BaseEditor
- Vector() : Vector< T >
- viewFile() : FarEditorSet, ConsoleTools
- visibleTextEvent() : BaseEditor

### - w -

- warning() : ErrorHandler
- write() : Writer
- writeEnd() : ParsedLineWriter
- writeStart() : ParsedLineWriter
- writeStyle() : ParsedLineWriter

### - ~ -

- ~Exception() : Exception
- ~FarEditor() : FarEditor
- ~FarEditorSet() : FarEditorSet
- ~FileTypeChooser() : FileTypeChooser
- ~HashtableCore() : HashtableCore< T >
- ~RegionDefine() : RegionDefine
- ~SString() : SString
- ~StringBuffer() : StringBuffer
- ~Vector() : Vector< T >

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.